/*
 * NoCoincideLongitudoTipoCampoNumericoObligatorioDependiente.java
 *
 * Created on 20 de marzo de 2007, 10:38 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

/**
 * 
 * @author Julian
 */
public class NoCoincideLongitudoTipoCampoNumericoObligatorioDependienteEmpCero
		extends AbstractRule {

	/**
	 * Creates a new instance of
	 * NoCoincideLongitudoTipoCampoNumericoObligatorioDependiente
	 */
	public NoCoincideLongitudoTipoCampoNumericoObligatorioDependienteEmpCero() {
	}

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {

		if (registro[new Integer((String) getParams()[0]).intValue()]
				.equals(getParams()[1])) {
			if (field.length() < new Integer((String) getParams()[2])
					.intValue()
					|| field.length() > new Integer((String) getParams()[3])
							.intValue())
				return true;
			try {
				Long.parseLong(field);
			} catch (Exception e) {
				return true;
			}
			if (field.indexOf('+') >= 0 || field.indexOf('.') >= 0
					|| field.indexOf('-') >= 0 || field.indexOf('e') >= 0
					|| field.indexOf('E') >= 0) {
				return true;
			}

		}

		return false;
	}
}
